# tavern

A minimalistic Activity Pub server. Think [mastodon](https://joinmastodon.org/), but smaller and with fewer features.

**_This project is in active development and should not be used in production._**

Roadmap: https://gitlab.com/ngerakines/tavern/-/wikis/Roadmap

Milestones: https://gitlab.com/ngerakines/tavern/-/milestones

# Quick Start

The quickest way to get up and running is with docker-compose.

If you are building from source, be sure to run `docker-compose build`.

1. docker-compose up -d db svger
2. docker-compose run web migrate
3. docker-compose run web init --admin-email=nick.gerakines@gmail.com --admin-password=asd123 --admin-name=nick --database=postgresql://postgres:password@db:5432/tavern?sslmode=disable
4. docker-compose up -d

# License

MIT License

Copyright (c) 2020 Nick Gerakines
